EnKash Developer Portal
Home
Home
Login
  1. APIs - Expense
  • Explore Our Product Suite
  • Payment Gateway
    • Set Up Payment Gateway
    • Payment Options
    • Easy API Setup
    • APIs - Payment Gateway
  • Payouts
    • Set Up Payouts
    • APIs - Payout
  • Prepaid Cards
    • Key Capabilities
    • Set Up Prepaid Cards
    • KYC Status Handling Guide
    • T&C Acceptance Flow
    • Card Design & Branding Compliance Guide
    • APIs - Prepaid Card
  • Wallet
    • APIs - Wallet
  • Bharat Connect (BBPS)
    • APIs - BBPS
  • Accounts Payable
    • APIs - Accounts Payable
  • Account Receivable
    • Accounts Receivable Overview
    • APIs - Account Receivable
  • Expense ERP Integration
    • About Authorization
    • APIs - Expense
    • Partner Integration
    • APIs - Expense
      • Update user
        PATCH
      • Create user
        POST
      • List employees
        GET
      • Get employee
        GET
      • Create department
        POST
      • List departments
        GET
      • Get department
        GET
      • Update department
        PATCH
      • Create grade
        POST
      • List grades
        GET
      • Get grade
        GET
      • Create designation
        POST
      • List designations
        GET
      • Get designation
        GET
      • List designations in a department
        GET
      • List categories
        GET
      • Get category
        GET
      • Create expense policy
        POST
      • List policies
        GET
      • Get policy
        GET
      • Create expense
        POST
      • Update expense fare, tax, invoice, or receipt
        PATCH
      • Cancel an expense and keep the record
        POST
      • Get expense
        GET
      • Approve, reject, or hold expense
        POST
      • Receipt OCR
        POST
      • Update grade
        PATCH
      • Update grade status
        PATCH
      • Update designation status
        PATCH
      • Update designation
        PATCH
      • Update department status
        PATCH
  • Rewards & Incentives
    • About Rewards
    • Getting Started
    • Encryption & Decryption Guide
    • Reward Allocation
    • Incentive Allocation
    • APIs - Reward
  • Petty Cash
    • Request Encryption Using AES
    • API - Petty Cash
  • Verification Suite
    • Verification Suite Overview
    • APIs - Verification Suite
    • Create expense category
  • Schemas
    • CardExpenseSuccessResponse
    • OcrDataSuccessResponse
    • PartnerDesignationUpdateRequest
    • AttachReceiptSuccessResponse
    • PartnerGradeUpdateRequest
    • PartnerUserUpdateRequest
    • ExpenseSearchRequest
    • PartnerUser
    • PartnerDesignation
    • ExpenseSearchItem
    • PartnerGrade
    • ExpenseSearchResponse
    • PartnerUserRequest
    • PartnerUserListResponse
    • PartnerDepartmentCreateRequest
    • PartnerDesignationSuccessResponse
    • PartnerDepartment
    • PartnerGradeSuccessResponse
    • PartnerUserSuccessResponse
    • PartnerDepartmentSuccessResponse
    • PartnerDepartmentListResponse
    • EmptySuccessResponse
    • ErrorResponse
    • PartnerGradeCreateRequest
    • PartnerCodeName
    • PartnerGradeListResponse
    • PartnerDesignationCreateRequest
    • PartnerDesignationListResponse
    • PartnerCategoryCreateRequest
    • PartnerCategory
    • PartnerCategorySuccessResponse
    • PartnerCategoryListResponse
    • PartnerPolicyCreateRequest
    • PartnerPolicy
    • PartnerPolicySuccessResponse
    • PartnerPolicyListResponse
    • PartnerExpenseCreateRequest
    • PartnerExpense
    • PartnerExpenseUpdateRequest
    • PartnerExpenseCancelRequest
    • PartnerExpenseSuccessResponse
    • PartnerExpenseStatusRequest
    • PartnerExpenseStatusItem
    • PartnerExpenseStatusResponse
    • ExpenseHistoryItem
    • ExpensePaymentMode
    • ExpensePayload
    • AccountType
    • TripRequestSuccessResponse
    • TripRequestCreateRequest
    • TripRequestPayload
    • FlightEntries
    • FlightSegment
    • BusAndTrainEntry
    • CarRentalEntry
    • HotelEntry
    • AdvanceCreateRequest
    • TripRequestHistoryItem
    • TripType
    • RequestFormStatus
  1. APIs - Expense

Update user

PATCH
/api/v0/partner/user/{ekUserId}
Updates an expense user in your company. Send only the fields to change. Fields that are left out or null keep their current value.
departmentId and designationId are codes in your company. managerEkUserId must be another expense user in your company.
email and mobile update the expense profile only. They do not change the user's login details.
status=INACTIVE deactivates the user.
If the update fails, nothing is changed.

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "designationId": "DESIG001",
    "departmentId": "DEPT001",
    "managerEkUserId": "EKUSER002"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://ekpayout-uat.enkash.in/api/v0/partner/user/' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
    "designationId": "DESIG001",
    "departmentId": "DEPT001",
    "managerEkUserId": "EKUSER002"
}'

Responses

🟢200
application/json
User updated.
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "Success",
    "payload": {
        "ekUserId": "EKUSER001",
        "name": "Ravi Kumar",
        "email": "ravi.kumar@example.com",
        "mobile": "9876543210",
        "status": "ACTIVE",
        "departmentId": "DEPT001",
        "designationId": "DESIG001",
        "managerEkUserId": "EKUSER002",
        "externalEmployeeId": "EMP-1001",
        "dateOfJoining": "2026-04-01",
        "branchCode": "MUM01"
    }
}
đźź 400
đźź 401
đź”´500
đź”´502
Modified at 2026-11-13 07:59:47
Previous
Partner Integration
Next
Create user
Built with